---

#! jobs/perf-sanity-tests.yaml
suite: perf-sanity-tests
testcase: perf-sanity-tests
category: functional
need_memory: 2G
perf-sanity-tests:
  perf_compiler: gcc
job_origin: perf-sanity-tests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-spr-2sp1
tbox_group: lkp-spr-2sp1
submit_id: 64de66c45215057fac9ed02d
job_file: "/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-gcc-debian-11.1-x86_64-20220510.cgz-029aadfe946d-20230818-32684-aukklh-0.yaml"
id: d801ff65165774a2d8cd4aae26105c802cb34134
queuer_version: "/zday/lkp"

#! /db/releases/20230810104217/lkp-src/hosts/lkp-spr-2sp1
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 256G
nr_ssd_partitions: 6
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741401J94P0IGN-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T8_BTLJ207201DG1P0FGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
brand: Intel(R) Xeon(R) Platinum 8480+

#! /db/releases/20230810104217/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:
kmemleak:

#! /db/releases/20230810104217/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20230810104217/lkp-src/include/perf-sanity-tests
initrds:
- linux_perf

#! /db/releases/20230810104217/lkp-src/include/queue/cyclic
commit: '029aadfe946d99c4b11f1dd52f9ff76a09b21f69'

#! /db/releases/20230810104217/lkp-src/include/testbox/lkp-spr-2sp1
ucode: '0x2b000181'
kconfig: x86_64-rhel-8.3-bpf
enqueue_time: 2023-08-18 02:28:21.378951419 +08:00
_id: 64de66c45215057fac9ed02d
_rt: "/result/perf-sanity-tests/gcc/lkp-spr-2sp1/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-bpf/gcc-12/029aadfe946d99c4b11f1dd52f9ff76a09b21f69"
compiler: gcc-12
head_commit: 2c89eed383c773dca7f1d404e77a64ed7ffd4463
base_commit: 52a93d39b17dc7eb98b6aa3edb93943248e03b2f
branch: linux-devel/devel-hourly-20230813-110946
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
arch: x86_64
max_uptime: 1200
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/perf-sanity-tests/gcc/lkp-spr-2sp1/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-bpf/gcc-12/029aadfe946d99c4b11f1dd52f9ff76a09b21f69/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/029aadfe946d99c4b11f1dd52f9ff76a09b21f69/vmlinuz-6.4.0-rc3-00450-g029aadfe946d
- branch=linux-devel/devel-hourly-20230813-110946
- job=/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-gcc-debian-11.1-x86_64-20220510.cgz-029aadfe946d-20230818-32684-aukklh-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-bpf
- commit=029aadfe946d99c4b11f1dd52f9ff76a09b21f69
- nmi_watchdog=0
- acpi_rsdp=0x777fe014
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/029aadfe946d99c4b11f1dd52f9ff76a09b21f69/modules.cgz"
linux_perf_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/029aadfe946d99c4b11f1dd52f9ff76a09b21f69/linux-perf.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230406.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20230815111909/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-2sp1/perf-sanity-tests-gcc-debian-11.1-x86_64-20220510.cgz-029aadfe946d-20230818-32684-aukklh-0.cgz"
last_kernel: 6.5.0-rc6-wt-09650-g2a0a6d158900
acpi_rsdp: '0x777fe014'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/029aadfe946d99c4b11f1dd52f9ff76a09b21f69/vmlinuz-6.4.0-rc3-00450-g029aadfe946d"
result_root: "/result/perf-sanity-tests/gcc/lkp-spr-2sp1/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3-bpf/gcc-12/029aadfe946d99c4b11f1dd52f9ff76a09b21f69/0"

#! /db/releases/20230817161747/lkp-src/include/site/inn
dequeue_time: 2023-08-18 03:21:12.094516024 +08:00
job_state: finished
loadavg: 0.71 1.34 1.75 1/1889 162144
start_time: '1692300213'
end_time: '1692301068'
version: "/lkp/lkp/.src-20230815-134428:6fcdf019563b:2ac070e9ea3b"
